{ python3Packages, fetchFromGitHub, ... }:
python3Packages.buildPythonPackage rec {
  pname = "pipewire-python";
  version = "0.2.3";
  format = "pyproject";

  src = fetchFromGitHub {
    owner = "pablodz";
    repo = "pipewire_python";
    rev = "v${version}";
    sha256 = "sha256-6UIu7vke40q+n91gU8YxwMV/tWjLT6iDmHCMVqnXdMY=";
  };

  buildInputs = with python3Packages; [ flit-core ];
  nativeBuildInputs = with python3Packages; [
    build
    wheel
  ];

  doCheck = false;
}
